Name:           python-utils
Version:        2.5.6
Release:        1%{?dist}
Summary:        Python Utils is a module with some convenient utilities

License:        BSD
URL:            https://github.com/WoLpH/python-utils
Source0:        %{url}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  epel-rpm-macros
BuildRequires:  make
BuildRequires:  python3-devel
BuildRequires:  python3-pytest-runner
BuildRequires:  python3-pytest
BuildRequires:  python3-setuptools
BuildRequires:  python3-six
BuildRequires:  python3-sphinx

%?python_enable_dependency_generator

%description
Python Utils is a collection of small Python functions and classes which
make common patterns shorter and easier. This module makes it easy to
execute common tasks in Python scripts such as converting text to numbers
and making sure a string is in unicode or bytes format.

%package -n     python3-utils
Summary:        %{summary}
%{?python_provide:%python_provide python3-utils}

%description -n python3-utils
Python Utils is a collection of small Python functions and classes which
make common patterns shorter and easier. This module makes it easy to
execute common tasks in Python scripts such as converting text to numbers
and making sure a string is in unicode or bytes format.


%prep
%autosetup -p1 -n %{name}-%{version}
# Remove bundled egg-info
rm -rf %{name}.egg-info

# Stop linting code in %%check and measuring coverage, this is upstream's business
sed -Ei '/--(cov|pep8|flake8)/d' pytest.ini
sed -Ezi 's/flake8.+=.+\n(\s*\S+\s*\n)*\n/\n/' pytest.ini

%build
%py3_build
# generate html docs
sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/{.doctrees,.buildinfo,*.inv}


%install
%py3_install


%check
%{pytest}


%files -n python3-utils
%doc README.rst html
%license LICENSE
%{python3_sitelib}/python_utils
%{python3_sitelib}/python_utils-%{version}-py%{python3_version}.egg-info

%changelog
* Tue Mar 09 2021 Camille Gardet <gardet.ca@gmail.com> 2.5.6-1
- Initial package
